<?php
$lang->appModule = new stdclass();
$lang->moduleOrder = array();

/* SUPERADMIN */
$lang->appModule->superadmin = array();
$lang->appModule->superadmin[] = 'company';
$lang->appModule->superadmin[] = 'adminUser';
$lang->appModule->superadmin[] = 'cron';

$lang->moduleOrder[9800] = 'company';
$lang->moduleOrder[9805] = 'adminUser';
$lang->moduleOrder[9810] = 'cron';

/* SYSTEM */
$lang->appModule->sys = array();
$lang->appModule->sys[] = 'tree';
$lang->appModule->sys[] = 'file';

$lang->moduleOrder[9900] = 'tree';
$lang->moduleOrder[9920] = 'file';

$lang->resource->product = new stdclass();
/* Company. */
$lang->resource->company = new stdclass();
$lang->resource->company->create   = 'create';
$lang->resource->company->edit     = 'edit';
$lang->resource->company->cancel   = 'cancel';
$lang->resource->company->setMajor = 'setMajor';

$lang->company->methodOrder[15] = 'create';
$lang->company->methodOrder[20] = 'edit';
$lang->company->methodOrder[25] = 'cancel';
$lang->company->methodOrder[30] = 'setMajor';

/* Tree. */
$lang->resource->tree = new stdclass();
$lang->resource->tree->browse   = 'browse';
$lang->resource->tree->edit     = 'edit';
$lang->resource->tree->children = 'children';
$lang->resource->tree->delete   = 'delete';
$lang->resource->tree->merge    = 'merge';

$lang->tree->methodOrder[0]  = 'browse';
$lang->tree->methodOrder[5]  = 'edit';
$lang->tree->methodOrder[10] = 'children';
$lang->tree->methodOrder[15] = 'delete';
$lang->tree->methodOrder[20] = 'merge';

/* File. */
$lang->resource->file = new stdclass();
$lang->resource->file->upload   = 'upload';
$lang->resource->file->download = 'download';
$lang->resource->file->edit     = 'edit';
$lang->resource->file->delete   = 'delete';

$lang->file->methodOrder[0]  = 'upload';
$lang->file->methodOrder[5]  = 'download';
$lang->file->methodOrder[10] = 'edit';
$lang->file->methodOrder[15] = 'delete';

/* Admin User. */
$lang->resource->adminUser = new stdclass();
$lang->resource->adminUser->admin          = 'admin';
$lang->resource->adminUser->create         = 'create';
$lang->resource->adminUser->batchCreate    = 'batchCreate';
$lang->resource->adminUser->edit           = 'edit';
$lang->resource->adminUser->delete         = 'delete';
$lang->resource->adminUser->forbid         = 'forbid';
$lang->resource->adminUser->active         = 'active';
$lang->resource->adminUser->exportTemplate = 'exportTemplate';
$lang->resource->adminUser->import         = 'import';

$lang->adminUser->methodOrder[10] = 'admin';
$lang->adminUser->methodOrder[15] = 'create';
$lang->adminUser->methodOrder[20] = 'batchCreate';
$lang->adminUser->methodOrder[25] = 'edit';
$lang->adminUser->methodOrder[30] = 'delete';
$lang->adminUser->methodOrder[35] = 'forbid';
$lang->adminUser->methodOrder[40] = 'active';
$lang->adminUser->methodOrder[45] = 'exportTemplate';
$lang->adminUser->methodOrder[50] = 'import';

/* Cron. */
$lang->resource->cron = new stdclass();
$lang->resource->cron->index  = 'index';
$lang->resource->cron->create = 'create';
$lang->resource->cron->edit   = 'edit';
$lang->resource->cron->delete = 'delete';
$lang->resource->cron->turnon = 'turnon';
$lang->resource->cron->toggle = 'toggle';

$lang->cron->methodOrder[10] = 'index';
$lang->cron->methodOrder[15] = 'create';
$lang->cron->methodOrder[20] = 'edit';
$lang->cron->methodOrder[25] = 'delete';
$lang->cron->methodOrder[30] = 'turnon';
$lang->cron->methodOrder[35] = 'toggle';

include (dirname(__FILE__) . '/flow.php');
